
* { margin: 0; padding: 0; box-sizing: border-box; }

:root {
	--EiffelBlue: #2B317F;
	--IGNGreen: #749A0F;
}

body {
    font-family: 'Segoe UI', Arial, sans-serif;
    background-color: linear-gradient(135deg, #292C4D, #292C4D, #292C4D, #D3D5F5);
    color: #000;
    overflow-x: hidden;
    line-height: 1.6;
}

/* ===== Header ===== */
header {
	position: relative;
	width : 100%;
	/* height: 100px; */
	/* background : #fff; */
	/* background: rgba(0, 0, 0, 0.5); */
	display: grid;
	grid-template-columns: repeat(2, 1fr);
	justify-content: space-between;
}

/* Logo */
.logo {
	/* position: absolute; /* postulat de départ */
	/* style="height:50px; */
    /* top: 50%; */
    /* transform: translate(20%, -50%); /* décalage de 50% de sa propre taille */
	height: 100;
	width: 149px;
	margin-left: 20px;
	margin-top: auto;
	margin-bottom: auto;
}


/* Barre de navigation */

nav {
    /* position: absolute; */
	/* right: 0; */
    /* top: 50%; */
	/* transform: translate(-10%, -50%); */
    background: rgba(0, 0, 0, 0);
    z-index: 1000;
    padding: 15px 30px;
    display: flex;
    justify-content: center;
    gap: 40px;
    /* backdrop-filter: blur(10px); */
}

/* Texte barre de navigation */
nav a {
	/* position: inline; */
	right: 0;
    color: #2B317F;
    text-decoration: none;
    font-weight: 600;
    padding: 8px 15px;
    border-radius: 10px;
	border-width: 2px;
	border-style: solid;
	border-color: #fff;
    transition: all 0.3s ease;
	margin-top: auto;
	margin-bottom: auto;
}

/* Animation */
nav a:hover {
	border-style: solid;
	border-color: #2B317F;
	border-width: 2px;
	
    /* background: #B6F018;/*rgba(255, 255, 255, 0.1);*/ */
    /* text-decoration: underline; */
}

nav b {
    color: #749A0F;
    text-decoration: none;
    font-weight: 600;
    padding: 8px 15px;
    border-radius: 10px;
	border-width: 2px;
	border-color: #749A0F;
	border-style: solid;
    transition: all 0.3s ease;
	margin-top: auto;
	margin-bottom: auto;
}

nav b:hover {
    border-color: #B6F018;
	color: #B6F018;
}
        

===== Expertises =====

.expertise{
	grid-column: span 8 / span 8;
	color: #B6F018;
	font-size: 11pt;
	
}

.img-container {
	border-radius: 50px;
	
	margin: 5% 15%;
	/* padding: auto; */
	height: 100%;
	max-width: 100%;
	
	
}

.img-container img{
	grid-column: span 8 / span 8;
	max-width: 100%;
	max-height: 100%;
	border-radius: 50px;
	
}
	
.parent {
    display: grid;
    grid-template-columns: repeat(12, 1fr);
    grid-template-rows: 1fr 9fr;
    gap: 8px;
	
	height: 100vh;
	justify-content: start;
	align-items: center;
}
    
.div1 {
	/* height: 10%; */
	
	justify-self: right;
	z-index: 0;
}

.div1 a{
	/* height: 10%; */
	
	justify-self: right;

	text-decoration: none;	
	text-align: right;
	color: #2B317F;
	font-size: 36pt;
	font-weight: bold;
	transition: all 0.3s ease;
	
	z-index: 10;
}

.div1 a:hover{
	color: #749A0F;
}

.div2 {
	/* height: 10%; */
	
	justify-self: left;
	z-index: 0;
}

.div2 a{
	/* height: 10%; */
	
	justify-self: right;
	
	text-decoration: none;
	text-align: right;
	color: #2B317F;
	font-size: 36pt;
	font-weight: bold;
	transition: all 0.3s ease;
	
	z-index: 10;
}

.div2 a:hover{
	color: #749A0F;
}

.div3 {
    grid-column: span 10 / span 10;
	
	/* height: 10%; */
	font-size: 36pt;
	background-image: linear-gradient(to left, #2B317F, #2B317F, #749A0F);
	background-clip: text;
	color: transparent;
}

.div4 {
    grid-column: span 6 / span 6;
    grid-row-start: 2;
	
	
	justify-self: center;
	/* height: 90%; */
	padding-left: 20%;
}

.div4 h1{
    color: #749A0F;
	font-size: 12pt;
	text-align: center;
	text-decoration: underline;
	margin-bottom: 1.5rem;
}

.div4 p{
    color: #616161;
	font-size: 12pt;
	text-align: justify;
	margin-bottom: 1.5rem;
	
}

.div5 {
    grid-column: span 6 / span 6;
    grid-column-start: 7;
    grid-row-start: 2;
	
	
	/* height: 90%; */
}

.project-card {
			text-align: justify;
			text-justify: distribute;
            background-color: white;
            padding: 1rem;
            margin-bottom: 1.5rem;
            border-radius: 0.5rem;
            position: relative;
            border-left: 4px solid #6a933e;
			border-bottom: 4px solid #6a933e;
			box-shadow: 2px 2px 2px 1px rgb(0 0 0 / 20%);
			font-weight: lighter;
        }

/* footer */
footer{
	margin-top: 100px;
	position: relative;
	/* border: 1px solid tomato; */
	width: 100%;
	margin-bottom: 10px;
}

.footer-display{
	padding-top : 40px;
	padding-bottom : 40px;
	display: grid;
	grid-template-columns: repeat(3, 1fr);
	grid-template-rows: repeat(1, 1fr);
    gap: 8px;
	height: 100%;
	/* border: 1px solid tomato; */
	
	justify-content: space-around;
	justify-items: center;
	align-items: top;
	/* border: 1px solid silver; */
	
	background-image: linear-gradient(to left, #2B317F, #749A0F);

}

.col1 {
	/* border: 1px solid silver; */
	color: silver;
	font-weight: lighter;
	font-size: 11pt;
}

.col1 a{
	/* color: silver; */
	text-decoration: none;
}

.col1 a:hover{
	text-decoration: underline;
}

.col2 {
	/* border: 1px solid silver; */
	color: white;
	font-weight: lighter;
}

.col2 p{
	color: silver;
	font-weight: normal;
	font-size: 14pt;
}

.col2 a{
	/* border: 1px solid silver; */
	color: white;
	font-weight: lighter;
	text-decoration: none;
	font-size: 14pt;
}

.col2 a:hover{
	text-decoration: underline;
}